MONGOC_INIT(3)

NAME
mongoc_init - mongoc_init()

SYNOPSIS

        void
        mongoc_init (void);

DESCRIPTION

Initialize the MongoDB C Driver by calling mongoc_init exactly once at the beginning of your program. It is responsible for initializing global state such as process counters, SSL, and threading primitives.

Call mongoc_cleanup exactly once at the end of your program to release all memory and other resources allocated by the driver. You must not call any other MongoDB C Driver functions after mongoc_cleanup. Note that mongoc_init does not reinitialize the driver after mongoc_cleanup.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc